OpenNMS API 1.2.9

## org.opennms.netmgt.dhcpd
Class Receiver2

    java.lang.Object
      org.opennms.netmgt.dhcpd.Receiver2

All Implemented Interfaces:
  Fiber, java.lang.Runnable

final class Receiver2
extends java.lang.Object
implements java.lang.Runnable, Fiber

Field Summary
`private static short` `DHCP_TARGET_PORT`
`private java.util.List` `m_clients`
`private java.lang.String` `m_name`
`private java.net.DatagramSocket` `m_receiver`
`private int` `m_status`
`private java.lang.Thread` `m_worker`

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Constructor Summary
`(package private)` `Receiver2(java.util.List clients)`

Method Summary
`java.lang.String` `getName()` This method is used to return the name of the `Fiber`.
`int` `getStatus()` This method is used to get the current status of the `Fiber`.
`void` `run()`
`void` `start()` This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.
`void` `stop()` This method is used to stop a currently running `Fiber`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DHCP_TARGET_PORT

    private static final short DHCP_TARGET_PORT

See Also:
  Constant Field Values

### m_receiver

    private java.net.DatagramSocket m_receiver

### m_name

    private java.lang.String m_name

### m_status

    private int m_status

### m_worker

    private java.lang.Thread m_worker

### m_clients

    private java.util.List m_clients

Constructor Detail

### Receiver2

    Receiver2(java.util.List clients)
        throws java.io.IOException

Method Detail

### start

    public void start()

  Description copied from interface: `Fiber`
  This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.

  Specified by:
    `start` in interface `Fiber`

### stop

    public void stop()

  Description copied from interface: `Fiber`
  This method is used to stop a currently running `Fiber`. Once invoked the `Fiber` should begin it's shutdown process. Depending on the implementation, this method may block until the `Fiber` terminates.

  Specified by:
    `stop` in interface `Fiber`

### getStatus

    public int getStatus()

  Description copied from interface: `Fiber`
  This method is used to get the current status of the `Fiber`. The status of the fiber should be one of the predefined constants of the `Fiber` interface, or from one of the derived interfaces.

  Specified by:
    `getStatus` in interface `Fiber`
  Returns:
    The current status of the `Fiber`.

### getName

    public java.lang.String getName()

  Description copied from interface: `Fiber`
  This method is used to return the name of the `Fiber`. The name of the instance is defined by the implementor, but it should be realitively unique when possible.

  Specified by:
    `getName` in interface `Fiber`
  Returns:
    The name of the `Fiber`.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.